Quantcast
Download
(3 Kb)
Download
Updated: 09/04/20 08:02 AM
Pictures
File Info
Compatibility:
Stonethorn (6.1.5)
Updated:09/04/20 08:02 AM
Created:12/15/19 04:22 PM
Monthly downloads:286
Total downloads:1,359
Favorites:2
MD5:
6.1.5
TitleFlex
Version: 1.4
by: Skvysh [More]
Cannot choose just one title to display?

TitleFlex is a small addon that solves all of your problems. It allows you to choose up to 10 titles (you have unlocked on that particular character) to display in a rotation. The rate at which the titles change can be customized as well - choose anywhere between 1 second and 1 hour between the cycles. As long as the addon is active, it will continuously keep changing between the chosen titles!



Enable/disable rotating of the titles using a slash command /titleflex enable or via a setting in the addon menu.

If you previously used the addon, the newest version may have wiped the settings, so make sure to set up your titles again.

Dependencies:
LibAddonMenu-2.0
Version 1.4:
  • Updated API version for Stonethorn

Version 1.3.1:
  • Removed usage of LibStub library.
  • Added minimum LAM version requirement.

Version 1.3:
  • Updated API version number for Greymoor.
  • No longer required to /reloadui for settings to change.
  • Added an "enable/disable" setting to control the rotating of titles without completely disabling the addon.
  • As a result of the above change, all previous settings have been wiped and need to be re-done (sorry).
  • Added slash command "/titleflex enable" to control the new setting mentioned above via chat commands.

Version 1.2:
  • Reduced number of unnecessary loops.
  • Updated API version number for Harrowstorm.
  • Few other minor changes.

Version 1.1:
  • Selected title names are now saved instead of IDs. This change wiped all previous saved variables for the addon. Users need to re-make their title list with this version of the addon if they used it previously.
  • List of IDs used to cycle through titles is now updated whenever an achievement is earned.

Version 1.0:
Initial release of the addon.
Optional Files (0)


Archived Files (5)
File Name
Version
Size
Uploader
Date
1.3.1
3kB
Skvysh
06/10/20 10:37 AM
1.3
3kB
Skvysh
06/10/20 06:35 AM
1.2
3kB
Skvysh
03/23/20 07:16 AM
1.1
3kB
Skvysh
01/16/20 03:09 PM
1.0
3kB
12/15/19 04:22 PM


Post A Reply Comment Options
Unread 06/10/20, 10:38 AM  
Skvysh
AddOn Author - Click to view AddOns

Forum posts: 0
File comments: 3
Uploads: 2
Originally Posted by Baertram
Where did you get this example from? Please tell me so we can inform the addon author or template or wiki entry to change the wrong example.
It's impossible to tell at this point, but I am pretty sure no one's at fault here but me - I use mostly outdated addons, so chances are I was using one that I haven't updated in over a year as a reference point when writing the code for the settings menu.

I ultimately noticed that addons no longer were using LibStub, which is why I also removed it from my list of dependencies with the previous version. But It seems I forgot to check the actual code to remove calls to it. In any case, everything should be good with this latest version, thanks for pointing out.
__________________
Squish
Report comment to moderator  
Reply With Quote
Unread 06/10/20, 08:53 AM  
Baertram
 
Baertram's Avatar
AddOn Author - Click to view AddOns

Forum posts: 3088
File comments: 3714
Uploads: 63
Thanks for the addon but you got a wrong code line in there for the LAM2 settings menu:
Code:
  local LAM2 = LibStub('LibAddonMenu-2.0')
LibStub is outdated and not to be used anymore if not really needed!

Where did you get this example from? Please tell me so we can inform the addon author or template or wiki entry to change the wrong example.


Please remove all LibStub occurences where not needed anymore and replace them with the global library name like here it will be LibAddonMenu2:
Lua Code:
  1. local LAM2 = LibAddonMenu2

And in your txt manifest add the >=28 to LibAddonMenu-2.0 to make sure the version will be loaded which provides the global variable LibAddonMenu2:
Code:
 ## DependsOn: LibAddonMenu-2.0>=28
Thank you for supporting the LibStub removal and spreading this info to all devs for new/changed addons.
For more infos why LibStub is obsolete read this please:
https://wiki.esoui.com/Libraries
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump: